Log in or register to post comments

Unity extension - Android 3+, Android 4+

March 9, 2012 - 12:44am #1

Hi,
Working a new Vuforia unity extension on Android 3+ and Android 4+ ?
I try it but always I got error. Just application not started.

Re: Unity extension - Android 3+, Android 4+

March 14, 2012 - 1:32am #8

Super, thanx a lot!

Re: Unity extension - Android 3+, Android 4+

March 13, 2012 - 9:24am #7

Ah! Thanks for the log. Try updating Unity, Vuforia 1.5 requires Unity 3.4.2 as a minimum.

- Kim

Re: Unity extension - Android 3+, Android 4+

March 13, 2012 - 2:55am #6

I got this error:

03-13 10:53:24.930: D/QCAR(1095): QCAR Extension version 1.5.10
03-13 10:53:24.940: D/Unity(1095): NativeActivity creating: 0x16b170
03-13 10:53:24.960: D/Unity(1095): NativeActivity entered application thread
03-13 10:53:24.960: D/Unity(1095): main entering.
03-13 10:53:24.960: D/Unity(1095): NativeActivity start: 0x16b170
03-13 10:53:24.990: D/Unity(1095): NativeActivity resume: 0x16b170
03-13 10:53:24.990: D/dalvikvm(1095): GC_CONCURRENT freed 185K, 4% free 6587K/6855K, paused 3ms+8ms
03-13 10:53:25.010: I/AR(1095): QCAR has been initialized successfully
03-13 10:53:25.010: I/AR(1095): QCAR SDK version 1.5.9
03-13 10:53:25.030: D/Unity(1095): NativeActivity input queue created: 0x16b170 -- 0x140f68
03-13 10:53:25.070: D/Unity(1095): NativeActivity window focus changed: 0x16b170 -- 1
03-13 10:53:25.070: D/AndroidRuntime(1095): Shutting down VM
03-13 10:53:25.070: W/dalvikvm(1095): threadid=1: thread exiting with uncaught exception (group=0x4016f760)
03-13 10:53:25.070: E/AndroidRuntime(1095): FATAL EXCEPTION: main
03-13 10:53:25.070: E/AndroidRuntime(1095): java.lang.NoSuchMethodError: com.unity3d.player.UnityPlayer.windowFocusChanged
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at com.qualcomm.QCARUnityPlayer.QCARPlayerSharedActivity.onWindowFocusChanged(QCARPlayerSharedActivity.java:345)
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at com.qualcomm.QCARUnityPlayer.QCARPlayerNativeActivity.onWindowFocusChanged(QCARPlayerNativeActivity.java:77)
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at com.android.internal.policy.impl.PhoneWindow$DecorView.onWindowFocusChanged(PhoneWindow.java:2151)
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at android.view.View.dispatchWindowFocusChanged(View.java:4698)
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at android.view.ViewGroup.dispatchWindowFocusChanged(ViewGroup.java:752)
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at android.view.ViewRoot.handleMessage(ViewRoot.java:2145)
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at android.os.Handler.dispatchMessage(Handler.java:99)
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at android.os.Looper.loop(Looper.java:132)
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at android.app.ActivityThread.main(ActivityThread.java:4123)
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at java.lang.reflect.Method.invokeNative(Native Method)
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at java.lang.reflect.Method.invoke(Method.java:491)
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:841)
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:599)
03-13 10:53:25.070: E/AndroidRuntime(1095): 	at dalvik.system.NativeStart.main(Native Method)
03-13 10:53:25.080: W/ActivityManager(135):   Force finishing activity com.vectoro.test/com.qualcomm.QCARUnityPlayer.QCARPlayerNativeActivity
03-13 10:53:25.090: D/dalvikvm(213): GC_CONCURRENT freed 2520K, 44% free 11501K/20295K, paused 13ms+24ms

Re: Unity extension - Android 3+, Android 4+

March 12, 2012 - 2:00pm #5
Quote:

And I use unity extension , how i can get errors ?

Try the DDMS tool in your Android SDK tools folder.

- Kim

Re: Unity extension - Android 3+, Android 4+

March 12, 2012 - 12:10pm #4

Please post the errors from your log.

Did you set-up your Android environment according to our Getting Started guide?

Re: Unity extension - Android 3+, Android 4+

March 12, 2012 - 3:22am #3

I mean Android 3.0 (Honeycomb).
And I use unity extension , how i can get errors ?

Re: Unity extension - Android 3+, Android 4+

March 9, 2012 - 9:27am #2

Do you mean Android API level 3 and 4? API level 8 (Froyo) is required at a minimum.

If instead you mean Android 3.0 (Honeycomb) and 4.0 (ICS), please look for errors in the log file. You can see the log in the DDMS perspective in Eclipse.

- Kim

Log in or register to post comments